Transaction details
curl --request GET \
--url https://api.kas.fyi/v1/transactions/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kas.fyi/v1/transactions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kas.fyi/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"transactionId": "a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a",
"blockTime": 1749531022210,
"subnetworkId": "0000000000000000000000000000000000000000",
"hash": "f123bed13d88bc18236d977c0035267d0054b912170fe4ae619e93306685d2af",
"mass": "2036",
"blockHashes": [
"30ab8f5ac54c8aa9cbf9a69209a2061e7123293efc40630136c970abef59450b",
"f97afb6794c56e0bb283ea6a38cc51cc41303a055ef9376e707139928cffa588"
],
"acceptingBlockHash": "2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f",
"isAccepted": true,
"confirmations": 10,
"payload": "0x",
"inputs": [
{
"transactionId": "a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a",
"index": 0,
"signatureScript": "4183faed776b7f1b1ed32b97aafe3069ee357c80b637f5069ab859916a896ec69a59e9bebcc3e646587d59376a40c72dd0290f8ebdbf0b64f13e2d8f81d0fe106301",
"sigOpCount": 1,
"previousOutput": {
"transactionId": "a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a",
"index": 0,
"amount": "31112708372",
"scriptPublicKey": "2010fdab002cff0ac15bfc8b982c5a616bef9e5a66f0c655f4f63f7d1cef39d2b4ac",
"scriptPublicKeyAddress": "kaspa:qqg0m2cq9nls4s2mlj9estz6v947l8j6vmcvv4057clh688088ftg7ce6p895",
"scriptPublicKeyType": "pubkey"
}
}
],
"outputs": [
{
"transactionId": "a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a",
"index": 0,
"amount": "31112708372",
"scriptPublicKey": "2010fdab002cff0ac15bfc8b982c5a616bef9e5a66f0c655f4f63f7d1cef39d2b4ac",
"scriptPublicKeyAddress": "kaspa:qqg0m2cq9nls4s2mlj9estz6v947l8j6vmcvv4057clh688088ftg7ce6p895",
"scriptPublicKeyType": "pubkey"
}
]
}
}Transaction
Transaction details
Get a transaction by ID
GET
/
v1
/
transactions
/
{id}
Transaction details
Cost
This endpoint costs 0.1 RU (Request Units) per call.Authorizations
API key required for authentication. Get your API key at https://developer.kas.fyi
Path Parameters
Transaction ID
Example:
"a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a"
Query Parameters
Whether to include the payload of the transaction. Default is false.
Example:
false
Response
200 - application/json
Transaction details
The transaction details
Show child attributes
Show child attributes
⌘I